/**
 * @file
 * JavaScript functions for XC Account module
 * 
 * @copyright (c) 2010-2011 eXtensible Catalog Organization
 */
var XCSearch = {};
if (Drupal.jsEnabled) {

  $(document).ready(function(){
    $('#select_all_action').click(function(){
      $('input[name=items]').each(function(){
        if (!this.checked) {
          this.checked = 'checked';
        }
      });
    });
    $('#select_none_action').click(function() {
      $('input[name=items]').each(function() {
        if (this.checked) {
          this.checked = false;
        }
      });
    });
    $('#email_action').click(function() {
      document.location = Drupal.settings.mail_url  + XCSearch.getSelectedItems().join(',')
        + '?' + Drupal.settings.destination;
    });
    $('#print_action').click(function() {
      document.location = Drupal.settings.print_url + XCSearch.getSelectedItems().join(',')
    });
  });
  
  /**
   * Get the selected items in a search result list
   */
  XCSearch.getSelectedItems = function() {
    var selectedItems = [];
    $('input[name=items]').each(function() {
      if (this.checked) {
        selectedItems.push(this.value);
      }
    });
    return selectedItems;
  }
}