<?php

function xc_timer_get_description($key) {
  static $descriptions;
  
  if (!isset($descriptions)) {
    $descriptions = array(
      'oai' => t('Full OAI-PMH harvesting'),
      'batch' => t('Overhead of the batch API'),
      'oai_response' => t('OAI-PMH response'),
      'http_response' => t('HTTP response time'),
      'oai_dom' => t('The XML processing (XML->DOM)'),
      'foreach' => t('Processing of each records'),
      'hook request_processed' => t(''),
      'bridge' => t('Processing of each records inside XC OAI Harvester Bridge'),
      'record_init' => t('Initialize a record (creating an initial XCEntity object)'),
      '_xc_build_store' => t('Process the record with _xc_build_store function'),
      'set locations' => t('Set location property for XCEntity'),
      'hook_xc_build' => t('Call hook_xc_build, which finalize the XCEntity object'),
      'set object' => t(''),
      'xc_cache_set' => t('Caching XCEntity object'),
      'xc_entity_set_properties' => t('Set XCEntity properties'),
      'set udated' => t('Set the updated property'),
      'set locks' => t('Set the locks property'),
      'set properties' => t('Set properties property'),
      'node_save' => t('Save node'),
      'save SQL' => t('Saving new xc_entity_properties record'),
      'insert SQL' => t('Creating the SQL command for creating new xc_entity_properties record'),
      'xc_entity_set_relationships' => t('Set relationships between entities'),
      'set params' => t('Set parameters'),
      'hook_xc_store' => t('Call hook_xc_store to store metadata'),
      'sql_xc_store' => t('Creating new xc_sql_metadata record'),
      'commit (total)' => t('Total time of hook_xc_commit'),
      'commit (Solr)' => t('Commit in Solr'),
      'xc_schema' => t('Parsing records as XC schema records'),
      'dom' => t('Creating PHP array from DOM object'),
      'find in array' => t('Finding the xc:entity element in the PHP array'),
      'relationships' => t('Finding and recording relationships of the XCEntity object'),
      'init' => t('The initialization part of XCEntity constructor'),
      'metadata_id' => t('Using metadata_id parameter as identifier'),
      'identifier' => t('Getting metadata identifier by OAI identifier'),
      'node_id' => t('Getting metadata identifier by node id'),
      'nid' => t('Getting metadata identifier by nid'),
    );
  }
  return !empty($descriptions[$key]) ? $descriptions[$key] : $key;
}

function xc_timer($collection, $key, $signal = 0) {
  
  if ($signal == 0) {
    $GLOBALS[$collection][$key]['s'] = microtime(TRUE);
  }
  elseif ($signal == 1) {
    $GLOBALS[$collection][$key]['t'] += (microtime(TRUE) - $GLOBALS[$collection][$key]['s']);
  }
  elseif ($signal == 2) {
    $GLOBALS[$collection][$key]['c']++;
  }
}

